请选择 进入手机版 | 继续访问电脑版
Mozilla

火狐社区

登录    注册

QQ互联

[综合讨论] 浏览器的版本识别错误

zhouhmzju 社区新人 发表于 5 天前 | 显示全部楼层 [复制链接]
3 46
电脑上之前因为测试一个插件需要,安装过火狐浏览器的49版本,后来把49版本删除,安装了最新版本,但是现在很多网站和应用识别出来的还是49版本。导致经常被提醒,本浏览器不被支持。

通过一些js脚本得到识别的信息是:
浏览器:Netscape
浏览器版本:5.0 (Windows)
代码:Mozilla
平台:Win32
Cookies 启用:true
浏览器的用户代理报头:Mozilla/5.0 (Windows NT 6.1; WOW64; rv:49.0) Gecko/20100101 Firefox/49.0

可以看到用户代理报头(navigator.userAgent)显示的还是49.0版本。

但是实际安装的版本是67.0.1。已经重新安装,但是无法解决。请教如何解决?操作系统是Windows 10.




zhouhmzju 社区新人
发表于 5 天前 | 显示全部楼层
这个无法解决,导致有些网站只能用Chrome打开,经常换浏览器有些麻烦。请大神帮忙
xuyuehang Mozilla员工
发表于 5 天前 | 显示全部楼层
about:support里的信息,显示版本是多少
感觉你的49版本没卸载完全,程序映射的还是老版本
lindongbin 小狐狸
发表于 5 天前 | 显示全部楼层
about:config
看看这个general.useragent.override参数是否被修改过
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表